Arch API/pl: Difference between revisions

From FreeCAD Documentation
(Created page with "API Arch")
 
(Created page with "{{VeryImportantMessage|''(Listopad 2018)'' Arch API jest wymieniony w [https://www.freecadweb.org/api automatycznie generowanej dokumentacja API].}}")
Line 1: Line 1:
<languages/>
<languages/>
{{VeryImportantMessage|(November 2018) The Arch API is listed in the [https://www.freecadweb.org/api autogenerated API documentation].}}
{{VeryImportantMessage|''(Listopad 2018)'' Arch API jest wymieniony w [https://www.freecadweb.org/api automatycznie generowanej dokumentacja API].}}


The functions of the API are part of the [[Arch Workbench]] and can be used in [[macros]] and from the [[Python]] console once the {{incode|Arch}} module has been imported. The [[Reinforcement Addon]] has its own [[Reinforcement API]].
The functions of the API are part of the [[Arch Workbench]] and can be used in [[macros]] and from the [[Python]] console once the {{incode|Arch}} module has been imported. The [[Reinforcement Addon]] has its own [[Reinforcement API]].

Revision as of 13:29, 27 September 2020

(Listopad 2018) Arch API jest wymieniony w automatycznie generowanej dokumentacja API.

The functions of the API are part of the Arch Workbench and can be used in macros and from the Python console once the Arch module has been imported. The Reinforcement Addon has its own Reinforcement API.

Example:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)

Arch.makeWall(baseline, length=None, width=200, height=2000)